Subject: Re: Tracability in git commits

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 30 Apr 2008 20:28:27 -0400

Miklos Vajna <[email-masked]> wrote:
> On Thu, May 01, 2008 at 01:33:53AM +0800, Ping Yin <[email-masked]> wrote:
> > I don't find reflog for bare repository, or must i enable it manually?
> 
> Right, reflog is disabled by default for bare repos.

`git config core.logAllRefUpdates true` right after you make the
repository solves that nicely.  I actually have a script that I use
to make a new bare central repo:

	#!/bin/sh
	git --git-dir="$1" init &&
	git --git-dir="$1" config core.logAllRefUpdates true ||
	exit

;-)

-- 
Shawn.